/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

@media only screen and (min-width: 1000px) {
#header-outer.small-nav #logo, 
#header-outer.small-nav .logo-clone, 
#header-outer.small-nav .logo-spacing {
    margin-top: 12px;
    margin-bottom: 12px;
}

#header-outer.small-nav #logo img {
    height: 36px;
}
}

#header-outer.transparent[data-lhe="default"] #top nav > ul > li > a:hover {
    color: #e01c4b !important;
}

/*SLIDER*/
.main-slider {
    width: 100%;
}

.swiper.main-slider,
.main-slider .swiper-wrapper {
    height: 90vh;
    overflow: hidden;
    /*max-height: 780px;*/
    margin-bottom:  0;
}

.swiper-slide {
    height: 90vh;
    position: relative;
    /*max-height: 780px;*/
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.slide-inner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    /*max-width: 1425px;
    margin: 0 auto;*/
    padding: 0 90px;
}

.slider-overlay {
    position: absolute;
    top: 0;
    left: 0;
    background: rgb(45 66 84 / 50%);
    width: 100%;
    height: 100%;
}

.swiper-slide h1 {
    position: relative;
}


.swiper-pagination.swiper-pagination-fraction {
    font-size: 15px;
    color: rgb(255 255 255 / 50%);
}

span.swiper-pagination-current {
    color: #fff;
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 0.2px;
    line-height: 1;
}

.swiper-pagination.swiper-pagination-fraction {
    font-size: 15px;
    color: rgb(255 255 255 / 50%);
}

span.swiper-pagination-current {
    color: #fff;
    font-size: 24px;
    font-weight: 700;
    letter-spacing: 0.2px;
    line-height: 1;
}

.swiper-pagination {
    position: absolute;
    left: auto !important;
    top: auto !important;;
    right: 40px !important;;
    bottom: 50px !important;;
    width: 100px !important;
    display: block;
}

.swiper-wrapper:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 220px;
    bottom: 0;
    left: 0;
    background: linear-gradient(to bottom, rgb(45 66 84 / 0%), rgb(45 66 84 / 100%) 90%);
    z-index: 10
}

.scroll-btn {
    position: absolute;
    bottom: 70px;
    left: 0;
    z-index: 100;
    padding: 0 90px;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
}

.scroll-btn a {
    opacity: 1 !important;
}

.scroll-btn a {
    width: 150px;
    height: 150px;
    display: block;
    transition: all 0.3s ease !important;
}

.scroll-btn a img {
    position: absolute;
    width: 150px;
    height: 150px;
}

img.text-animation {
    animation: nectar_looped_rotate 14s forwards infinite linear;
}

 @keyframes nectar_looped_rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.scroll-btn a:hover {
    transform: scale(1.1);
}

.swiper.main-slider:before {
    content: '';
    position: absolute;
    width: 1px;
    height: 55vh;
    background: #fff;
    left: 45px;
    bottom: 0px;
    z-index: 100;
    opacity: 50%;
}

.subtitle h4 {
    color: #E01C4B !important;
}

.numbers p {
    line-height: 21px;
}

.numbers p strong {
    font-weight: 900;
    font-size: 40px;
    line-height: 1.3;
    font-family: 'Kallisto';
}

div[data-style="minimal"] .toggle > .toggle-title a {
    padding: 25px 70px 25px 40px;
    color: #2d4254;
}

.col h3.toggle-title a.toggle-heading {
    text-transform: uppercase !important;
}

.toggles {
    counter-reset: my-sec-counter;
}

.toggle {
    position: relative;
}

.toggle:before {
  counter-increment: my-sec-counter;
  content: "0" counter(my-sec-counter);
    position: absolute;
    color: #C0C1C8;
    font-size: 16px;
    font-weight: 700;
    top: 25px;
}

div[data-style*=minimal] .toggle>.toggle-title i {
    border: none;
    transition: transform 0.45s cubic-bezier(.3,.4,.2,1);
}

div[data-style="minimal"] .toggle > .toggle-title i:before,
div[data-style="minimal"] .toggle > .toggle-title i:after {
    background-color: #e01c4b;
}

div[data-style*=minimal] .toggle.open i:after {
    -ms-transform: scale(1, 1);
    transform: scale(1, 1);
    -webkit-transform: scale(1, 1);
}

div[data-style*=minimal] .toggle.open i {
    transform: rotate(45deg);
}

.vc_separator.vc_separator_align_left h4 {
    padding: 0 20px 0 0;
    margin: 0;
    color: rgb(45 66 84 / 50%);
}

.projekty .nectar-fancy-box[data-style=hover_desc] {
    padding: 15px 24px;
}

.nectar-fancy-box[data-style="hover_desc"].o_opacity_0-5 .box-bg:before {
    height: 80px;
    background: linear-gradient(to bottom, rgb(45 66 84 / 0%), #2d4254 100%);
}


/*CONTACT*/
/*CONTACT FORM*/
.form-two-column {
    display: flex;
    gap: 20px;
    text-align: left;
}

.inputfield {
    flex-grow: 1;
    position: relative;
}

.wpcf7-form textarea, .wpcf7-form input[type="text"], .wpcf7-form input[type="email"] {
    border: none;
    width: 100%;
    background: #fff;
    margin-bottom: 20px;
    height: 50px;
    font-size: 16px;
    color: #2d4254;
    padding: 12px 15px 10px 15px;
    border-radius: 5px;
    box-shadow: none;
    font-weight: 400;
}

.wpcf7-form textarea {
    height: 170px;
}

.inputfield label {
    position: absolute;
    z-index: 1;
    transition: all 0.2s ease-in-out;
    left: 15px;
    font-weight: 400;
}

.inputfield.active label {
    margin: 0px;
    font-size: 10px;
    opacity: 1;
    transform: translateY(-5px);
    color: #e01c4b;
}

.wpcf7-form label {
    font-size: 16px;
    color: #2d4254;
    opacity: 1;
    transform: translateY(10px);
}

.wpcf7 input:focus, .wpcf7 textarea:focus, .wpcf7 select:focus {
    outline: none;
}

.gdpr {
    margin-bottom: 50px;
    margin-top: -20px;
    text-align: left;
}

.wpcf7 input[type="checkbox"] {
    padding: 0px;
    margin-top: 0px;
    margin-bottom: 0px;
    -webkit-appearance: none;
    width: 0px !important;
}

span.wpcf7-list-item label {
    display: flex;
    opacity: 1;
}

.wpcf7-list-item {
    margin: 0;
}

span.wpcf7-list-item-label {
    position: relative;
    padding-left: 44px;
    font-size: 16px;
    line-height: 1.1;
    color: #fff;
    cursor: pointer;
    text-transform: none;
    text-align: left;
    margin-left: -5px;
}

span.wpcf7-list-item-label a {
    text-decoration: underline;
    color: #fff;
}

span.wpcf7-list-item-label:before {
    content: '';
    width: 30px;
    height: 30px;
    position: absolute;
    display: block;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background: #fff;
    border-radius: 5px;
}

span.wpcf7-list-item-label:after {
    content: '';
    width: 30px;
    height: 30px;
    border-radius: 5px;
    position: absolute;
    display: block;
    left: 0px;
    top: 50%;
    transform: translateY(-50%);
    background: #e01c4b;
    transition: all 0.2s ease;
    background-image: url(/wp-content/uploads/2024/07/icon-check.svg);
    background-size: 16px;
    background-repeat: no-repeat;
    background-position: center;
    opacity: 0;
}

input[type="checkbox"]:checked + span.wpcf7-list-item-label:after {
    transform: translateY(-50%);
    opacity: 1;
}

span.wpcf7-not-valid-tip {
    top: auto !important;
    padding: 0 !important;
    background: transparent;
    box-shadow: none !important;
    color: #ff8aa6 !important;
    font-size: 11px;
    bottom: -3px !important;
    position: absolute;
    left: 0;
    height: auto;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
    background: #e01c4b;
    border-color: #e01c4b;
    color: #fff;
    font-size: 16px;
    line-height: 1.5;
}

.gdpr span.wpcf7-not-valid-tip {
    top:auto !important;
    bottom: -35px !important;
    position: absolute;
}

.wpb_text_column.wpb_content_element.contact {
    padding-left: 85px;
    position: relative;
}

.wpb_text_column.wpb_content_element.contact a {
    color: #fff;
}

.wpb_text_column.wpb_content_element.contact:before {
    content: '';
    width: 65px;
    height: 65px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}

.wpb_text_column.wpb_content_element.contact.phone:before {
    background: url(/wp-content/uploads/2024/07/icon-tel.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.wpb_text_column.wpb_content_element.contact.email:before {
    background: url(/wp-content/uploads/2024/07/icon-mail.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.wpb_text_column.wpb_content_element.contact.spolocnost:before {
    background: url(/wp-content/uploads/2024/07/icon-spolocnost.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.wpb_text_column.wpb_content_element.contact.adresa:before {
    background: url(/wp-content/uploads/2024/07/icon-adresa.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.copyright .uppercase {
    font-weight: 400;
    letter-spacing: 0.5px;
}




/*RESPONSIVE*/
@media (max-width: 1000px) {
.slide-inner {
    justify-content: flex-end;
    padding: 0 30px 220px 40px;
}

.col .swiper-slide h1 {
    font-size: clamp(28px, 7vw, 35px) !important;
}

.scroll-btn {
    bottom: 40px;
    padding: 0 40px;
}

.scroll-btn a {
    width: 130px;
    height: 130px;
}
	
.scroll-btn a img {
    position: absolute;
    width: 130px;
    height: 130px;
}

.swiper.main-slider:before {
    height: calc(7vw + 330px);
    left: 20px;
}

.swiper-pagination {
    right: 15px !important;;
    bottom: 40px !important;;
}

.numbers p strong {
    font-size: 26px;
}

.numbers .column_element_direction_desktop_horizontal.el_spacing_30px > .vc_column-inner > .wpb_wrapper {
    gap: 10px;
    justify-content: space-between;
}

.vc_separator.vc_separator_align_left h4 {
    max-width: 250px;
}

.brands .nectar-flickity[data-spacing="30px"]:not(.masonry) .flickity-slider .cell {
    margin: 0 20px;
}

.brands .nectar-flickity.nectar-carousel[data-column-padding="20px"] .inner-wrap {
    padding: 0px;
}

#realizacie .nectar-flickity:not(.masonry) .flickity-slider .cell {
    width: 90%;
}

span.wpcf7-list-item-label {
    font-size: 14px;
}

.copyright .nectar-responsive-text,
.copyright .nectar-cta {
    margin-bottom: 15px !important;
}

#header-outer #top .slide-out-widget-area-toggle a .lines:before {
    display: none;
}

#header-outer .slide-out-widget-area-toggle.mobile-icon .lines:after {
        top: -9px;
}

body #header-outer .lines-button {
    top: 14px;
}
}